import java.util.*;
import java.util.List.*;
import java.util.AbstractList.*;

public class Test extends LinkedList {
	public static void main(String[] args){
		//NodeToHemisson.moveHemisson(NodeToHemisson.TURN_RIGHT);
		//System.exit(1);
		//NodeList world = ExploreDummy.run();

		int[][] maze = {{0,0,0,0,0,0,0,0},
				{1,1,1,1,1,1,1,0},
				{0,0,0,0,0,0,1,0},
				{0,1,1,1,1,0,1,0},
				{0,1,0,0,1,0,1,0},
				{0,1,0,0,0,0,1,0},
				{0,1,1,1,1,1,1,0},
				{0,0,0,0,0,0,0,0}};

		AStarNode goal = new AStarNode(2, 6, maze, 0, 0, null, null);
		AStarNode start = new AStarNode(1, 0, maze, 0, 0, null, goal); 
		
		List nPath = AStarSearch.findPath(start, goal);
		
		System.out.println("MAZE: ");
		for(int i = 0; i <maze.length; i++){
		for(int j = 0; j < maze[i].length;j++){
			System.out.print(maze[i][j]);
		}
		System.out.print("\n");
	}

		System.out.println("PATH: " + nPath +"\n");
		System.out.println("HEMISSON ACTIONS: ");
		int iOrientation = 1;
		for(int i = 0; i < nPath.size() -1; i++){
			iOrientation = tohemisson.run((AStarNode)nPath.get(i), (AStarNode)nPath.get(i+1), iOrientation);
		}
	}
}